#include "stdafx.h"
#include "Setting.h"

Setting::Setting() : m_writelog(false){
	ablib::string file;
	TCHAR buf[4096];
	::GetModuleFileName(NULL,buf,4095);
	m_inifile = buf;
	m_inifile.erase(m_inifile.rfind(_T(".")));
	m_log = m_inifile + _T(".log");
	m_inifile += _T(".ini");
	m_script = GetINIStr(_T("DeskDraw"),_T("InitialScript"));
	if(m_script == _T("")){
		m_script = buf;
		m_script.erase(m_script.rfind(_T("\\")));
		m_script += _T("\\DeskDraw.rb");
	}
}

ablib::string Setting::GetINIStr(const ablib::string &sec, const ablib::string &key){
	TCHAR buf[409];
	::GetPrivateProfileString(sec.c_str(),key.c_str(),_T(""),buf,4095,m_inifile.c_str());
	return ablib::string(buf);
}

int Setting::GetINIInt(const ablib::string &sec, const ablib::string &key){
	return ::GetPrivateProfileInt(sec.c_str(),key.c_str(),0,m_inifile.c_str());
}

void Setting::Log(const ablib::string &log){
	if(m_writelog){
		FILE *fp = ::_tfopen(m_log.c_str(),_T("a+"));
		if(fp){
			::_ftprintf(fp,_T("%s\n"),log.c_str());
			::fclose(fp);
		}
	}
}