#ifndef __SETTING_H__
#define __SETTING_H__

class Setting
{
public:
	Setting();
	~Setting(){}

	const TCHAR *GetScriptPath()const{return m_script.c_str();}
	void SetScriptPath(const TCHAR *path){m_script = path;}

	void Log(const ablib::string &log);
	void SetWriteLog(bool b){m_writelog = b;}


private:
	ablib::string m_inifile;
	ablib::string m_script;
	ablib::string m_log;
	bool m_writelog;

	ablib::string GetINIStr(const ablib::string &sec,const ablib::string &key);
	int GetINIInt(const ablib::string &sec,const ablib::string &key);
};

#endif //__SETTING_H__

